package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Coupons;

/**
 * 优惠券Service接口
 *
 * @author ruoyi
 * @date 2025-05-16
 */
public interface ICouponsService
{
    /**
     * 查询优惠券
     *
     * @param id 优惠券主键
     * @return 优惠券
     */
    public Coupons selectCouponsById(Long id);

    /**
     * 查询优惠券列表
     *
     * @param coupons 优惠券
     * @return 优惠券集合
     */
    public List<Coupons> selectCouponsList(Coupons coupons);

    /**
     * 新增优惠券
     *
     * @param coupons 优惠券
     * @return 结果
     */
    public int insertCoupons(Coupons coupons);

    /**
     * 修改优惠券
     *
     * @param coupons 优惠券
     * @return 结果
     */
    public int updateCoupons(Coupons coupons);

    /**
     * 批量删除优惠券
     *
     * @param ids 需要删除的优惠券主键集合
     * @return 结果
     */
    public int deleteCouponsByIds(Long[] ids);

    /**
     * 删除优惠券信息
     *
     * @param id 优惠券主键
     * @return 结果
     */
    public int deleteCouponsById(Long id);
}
